Subject: bug#10284: "Renaming: permission denied" file-error in Windows

From: Eli Zaretskii <[email-masked]>
Date: Sat, 31 Dec 2011 08:48:50 +0200

> Date: Fri, 30 Dec 2011 23:35:38 +0200
> From: LynX <[email-masked]>
> 
> > Did you test it with UNC filenames, btw?
> 
> Nope, but I tried it now with Cyrillic names and it worked.

Thanks.  But "UNC" doesn't mean "Unicode", it means "Universal Naming
Convention", and refers to the \\server\share\foo style of file names
on remote machines.

> If you asked this because of GetFileAttributes, I think that it is 
> mapped somewhere to GetFileAttributesW (since when I tried 
> GetFileAttributesA with Cyrillic names it failed :).

No, I was thinking about what volume_info.serialnum will give you for
UNC filenames.